Get Control Account by ID

Prev Next
Get
/v1/control-accounts/{controlAccountId}

Read a specific Control Account by ID.

Security
HTTP
Type basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the Authentication Guide.

Path parameters
controlAccountId
integerRequired

Control Account ID

Query parameters
includeDeletedSubAccounts
boolean

Include deleted sub-accounts

Responses
200

Successfully retrieved Control Account

{
  "success": "True",
  "data": {
    "id": "13337",
    "name": "Sample Control Account",
    "partnerType": "RESELLER",
    "accountType": "Company",
    "status": "Active",
    "imageUrl": "",
    "creationDate": "2023-01-15T10:30:00Z",
    "address1": "123 Main St",
    "address2": "",
    "country": "United States",
    "city": "Boston",
    "state": "Massachusetts",
    "zip": "02101",
    "mainPhone": "555-0100",
    "billingPhone": "",
    "contactEmail": "contact@example.com",
    "billingEmail": "billing@example.com",
    "businessNumber": "",
    "taxId": "",
    "fiscalNumber": "",
    "vatNumber": "",
    "website": "https://example.com",
    "ssoEnabled": "False",
    "storageQuotaType": "Hard Quota",
    "governanceAccountId": "3214",
    "governanceAccountName": "Sample Governance",
    "channelAccountsCount": "5",
    "subAccountsCount": "25",
    "controlAccountEmail": "control@example.com",
    "primaryApiKey": "AKIAIOSFODNN7EXAMPLE",
    "secondaryApiKey": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY",
    "subAccountStorage": "1.62126952",
    "controlAccountStorage": "0.00690326",
    "totalStorage": "1.62817278",
    "defaultPurchasedStorageTB": "10.0"
  }
}
Expand All
object
success
boolean
data
object (ControlAccountResponse)
id
integer
name
string
partnerType
string
accountType
string
status
string
imageUrl
string | null
creationDate
string (date-time)
address1
string | null
address2
string | null
country
string | null
city
string | null
state
string | null
zip
string | null
mainPhone
string | null
billingPhone
string | null
contactEmail
string
billingEmail
string
businessNumber
string | null
taxId
string
fiscalNumber
string | null
vatNumber
string | null
website
string | null
ssoEnabled
boolean
storageQuotaType
string
governanceAccountId
integer
governanceAccountName
string
channelAccountsCount
integer
subAccountsCount
integer
controlAccountEmail
string
primaryApiKey
string
secondaryApiKey
string
subAccountStorage
number
controlAccountStorage
number
totalStorage
number
defaultPurchasedStorageTB
number